{
	"factory": {
		"id": "model-quartz",
		"type": "entaxy.runtime.camel-model",
		"parent": "abstract-camel-model",
		"isAbstract": false,
		"description": "Factory route-quartz of entaxy.runtime.route. Provides a scheduled delivery of messages."
	},
	"entaxy.runtime.camel-model": {
	},
	"fields": {
	},
	"outputs": {
		"init": {
			"isDefault": true,
			"config": {
				"configurable": false
			},
			"fields": {
				"routeContent": {
					"displayName": "Route content"
				},
				"groupName": {
            		"group": "general",
            		"defaultValue": ""
        		},
        		"triggerName": {
            		"group": "general"
        		},
				"camel_cron": {
					"description": "Specifies a cron expression to define when to trigger. Sing + to be used instead of spaces, example 0+0/1+*+1/1+*+?+* (every minute). Default value is every second."
				},
				"camel_exceptionHandler": {
					"@TODO": "Now hidden, to process in next releases",
					"isHidden": true
				},
				"camel_customCalendar": {
					"@TODO": "Now hidden, to process in next releases",
					"isHidden": true
				},
				"camel_jobParameters":{
					"@TODO": "Now hidden, to process in next releases. Use parameters with job. prefix.",
					"isHidden": true
				},
				"camel_triggerParameters":{
					"@TODO": "Now hidden, to process in next releases Use parameters with trigger. prefix.",
					"isHidden": true
				},
				"@IMPORT": [
					{
			            "sourceFactoryId": "camel-quartz",
			            "location": "fields",
			            "prefix": "camel_",
			            "filter": {
			              "contains": [
			                {
			                  "attribute": "kind",
			                  "values": [
			                    "parameter"
			                  ]
			                }
			              ]
			            }
			          },
			           {
			            "sourceFactoryId": "camel-quartz",
			            "location": "fields",
			            "prefix": "",
			            "filter": {
			              "contains": [
			                {
			                  "attribute": "kind",
			                  "values": [
			                    "path"
			                  ]
			                }
			              ]
			            }
			          }
				]
			}
		}
	}
}
